# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "chwp"
version = "1.4.0"
authors = ["Rouven Himmelstein <rouven@himmelstein.info>"]
description = "Change your wallpaper from the command line interface."
homepage = "https://github.com/RouHim/chwp-rust"
readme = "README.md"
keywords = [
    "cli",
    "wallpaper",
]
categories = ["command-line-utilities"]
license = "GPL-3.0-or-later"
repository = "https://github.com/RouHim/chwp-rust"
resolver = "2"

[profile.release]
strip = "symbols"

[dependencies.dirs]
version = "4.0.0"

[dependencies.image]
version = "0.24.2"

[dependencies.rand]
version = "0.8.5"

[dependencies.reqwest]
version = "0.11.11"
features = ["blocking"]

[dependencies.serde_json]
version = "1.0.81"
